<?php
/*
* ARTURO: FACTURA A TRES COLUMNAS 
* v1.1 - 2024.10.21 - Uso de template. El template se copia desde el plugin hacia el tema hijo si no existe.
* Se debe seleccionar el template conPrecioUnitario en la configuracion de PDF Invoices
*/

defined( 'ABSPATH' ) || exit;


add_action( 'after_setup_theme', 'copy_pdf_template_folder_to_child_theme' );

function copy_pdf_template_folder_to_child_theme() {
    $destination = get_stylesheet_directory() . '/woocommerce/pdf/conPrecioUnitario';
    // Verificar si la carpeta ya existe en el tema hijo
    if (!file_exists($destination)) {
		//$source = plugin_dir_path( __FILE__ ) . 'templates/pdf/conPrecioUnitario/';
		$source = str_replace('/classes','',plugin_dir_path( __FILE__ ));
		$source = $source . 'templates/pdf/conPrecioUnitario';
        // Crear la carpeta destino si no existe
        wp_mkdir_p($destination);

        // Copiar los archivos del plugin al tema hijo
        recurse_copy($source, $destination);
    }
}

function recurse_copy($source, $destination) {
    $dir = opendir($source);
    @mkdir($destination);

    while(false !== ($file = readdir($dir))) {
        if (($file != '.') && ($file != '..')) {
            if (is_dir($source . '/' . $file)) {
                recurse_copy($source . '/' . $file, $destination . '/' . $file);
            } else {
                copy($source . '/' . $file, $destination . '/' . $file);
            }
        }
    }
    closedir($dir);
}

//add_action( 'wpo_wcpdf_before_order_details', 'factura0',10,4 ); 
//add_action( 'wpo_wcpdf_after_order_details', 'factura1',10,4 ); 
function factura0(){
	echo "<!--";
}
function factura1($type,$orden1){
	echo "-->";

    if (!$orden1 instanceof WC_Order) {
        return; // Termina si no es un pedido válido
    }

	$newthis = new WPO\WC\PDF_Invoices\Documents\Invoice;
	//$newthis = new WPO\WC\PDF_Invoices\Order_Document\Documents\Invoice;
    //$newthis = wcpdf_get_document( 'invoice', $order_id );
  
	$newthis->order=$orden1;
	$tax = get_option('woocommerce_tax_display_cart')=="incl"?TRUE:FALSE;
?>
<table class="order-details">
	<thead>
		<tr>
			<th class="product"><?php _e( 'Product', 'woocommerce-pdf-invoices-packing-slips' ); ?></th>
			<th class="quantity"><?php _e( 'Unit Price', 'wao-tiendas' ); ?></th>
			<th class="quantity"><?php _e( 'Quantity', 'woocommerce-pdf-invoices-packing-slips' ); ?></th>
			<th class="price"><?php _e( 'Price', 'woocommerce-pdf-invoices-packing-slips' ); ?></th>
		</tr>
	</thead>
	<tbody>
		<?php foreach ( $newthis->get_order_items() as $item_id => $item ) : ?>
			<tr class="<?php echo apply_filters( 'wpo_wcpdf_item_row_class', 'item-'.$item_id, $newthis->get_type(), $newthis->order, $item_id ); ?>">
				<td class="product">
					<?php $description_label = __( 'Description', 'woocommerce-pdf-invoices-packing-slips' ); // registering alternate label translation ?>
					<span class="item-name"><?php echo $item['name']; ?></span>
					<?php do_action( 'wpo_wcpdf_before_item_meta', $newthis->get_type(), $item, $newthis->order  ); ?>
					<span class="item-meta"><?php echo $item['meta']; ?></span>
					<dl class="meta">
						<?php $description_label = __( 'SKU', 'woocommerce-pdf-invoices-packing-slips' ); // registering alternate label translation ?>
						<?php if ( ! empty( $item['sku'] ) ) : ?><dt class="sku"><?php _e( 'SKU:', 'woocommerce-pdf-invoices-packing-slips' ); ?></dt><dd class="sku"><?php echo $item['sku']; ?></dd><?php endif; ?>
						<?php if ( ! empty( $item['weight'] ) ) : ?><dt class="weight"><?php _e( 'Weight:', 'woocommerce-pdf-invoices-packing-slips' ); ?></dt><dd class="weight"><?php echo $item['weight']; ?><?php echo get_option( 'woocommerce_weight_unit' ); ?></dd><?php endif; ?>
					</dl>
					<?php do_action( 'wpo_wcpdf_after_item_meta', $newthis->get_type(), $item, $newthis->order  ); ?>
				</td>
				<td class="quantity"><?php echo $tax?$item['single_price']:$item['ex_single_price']; ?></td>
				<td class="quantity"><?php echo $item['quantity']; ?></td>
				<td class="price"><?php echo $item['order_price']; ?></td>
			</tr>
		<?php endforeach; ?>
	</tbody>
	<tfoot>
		<tr class="no-borders">
			<td class="no-borders">
				<div class="document-notes">
					<?php do_action( 'wpo_wcpdf_before_document_notes', $newthis->get_type(), $newthis->order ); ?>
					<?php if ( $newthis->get_document_notes() ) : ?>
						<h3><?php _e( 'Notes', 'woocommerce-pdf-invoices-packing-slips' ); ?></h3>
						<?php $newthis->document_notes(); ?>
					<?php endif; ?>
					<?php do_action( 'wpo_wcpdf_after_document_notes', $newthis->get_type(), $newthis->order ); ?>
				</div>
				<div class="customer-notes">
					<?php do_action( 'wpo_wcpdf_before_customer_notes', $newthis->get_type(), $newthis->order ); ?>
					<?php if ( $newthis->get_shipping_notes() ) : ?>
						<h3><?php _e( 'Customer Notes', 'woocommerce-pdf-invoices-packing-slips' ); ?></h3>
						<?php $newthis->shipping_notes(); ?>
					<?php endif; ?>
					<?php do_action( 'wpo_wcpdf_after_customer_notes', $newthis->get_type(), $newthis->order ); ?>
				</div>				
			</td>
			<td class="no-borders">
				<div class="document-notes">
				</div>
			</td>
			<td class="no-borders" colspan="2">
				<table class="totals">
					<tfoot>
						<?php foreach ( $newthis->get_woocommerce_totals() as $key => $total ) : ?>
							<tr class="<?php echo $key; ?>">
								<th class="description"><?php echo $total['label']; ?></th>
								<td class="price"><span class="totals-price"><?php echo $total['value']; ?></span></td>
							</tr>
						<?php endforeach; ?>
					</tfoot>
				</table>
			</td>
		</tr>
	</tfoot>
</table>
<div class="bottom-spacer"></div>
<?php
}//fin de funcion factura 1

///////// FIN: FACTURA A TRES COLUMNAS 
